Statement of the Problem

Top Next

The Traveling Salesman Problem (TSP) answers the following question: Given a list of cities and the algorithm counting the distances between each pair of cities, what is the shortest possible route that visits each city exactly once and returns to the origin city?

The generalization of the problem is described in the next topic.

Created with the Personal Edition of HelpNDoc: Generate Kindle eBooks with ease


Generalization

The Traveling Salesman Problem ›› Introduction ››

Generalization

Previous Top Next

This program solves the problem not only in two dimensions using Euclidean distances, but in is able to handle three dimensions, spherical coordinates, where the distances are counted using great circles over a sphere, and take in account their radial distances. The possibilities and the formulae are shown on the next two figures.

Created with the Personal Edition of HelpNDoc: Easily create iPhone documentation


Contact the Author

The Traveling Salesman Problem ›› Introduction ››

Contact the Author

Previous Top Next

The author of the program is Ferenc Nagy, from Budapest, Hungary. His homepage is http://users.atw.hu/franknagy/home.php?eng in English language. E-mail: nagy.frank@citromail.hu .

Created with the Personal Edition of HelpNDoc: Free HTML Help documentation generator


Required Tree of Folders

The Traveling Salesman Problem ›› Usage ››

Required Tree of Folders

Previous Top Next

The recommended main directory is C:\TSP75 .

The following sub-folders are required run the program.

C:\TSP75

├───data

└───Exe

The Data folder contains the data files:

• predefined by the programmer,

• assemble by the user,

• generated by the logging facility of the program,

• settings assembled by the TestDraw program.

The Exe folder contains the executable program and its and help files:

• TSP.EXE itself,

• batch files required to call external programs,

• DLL-s packed to this folder by the compiler,

• help files and their auxiliary files.

Created with the Personal Edition of HelpNDoc: What is a Help Authoring tool?


Environment

The Traveling Salesman Problem ›› Usage ››

Environment

Previous Top Next

The program was compiled and developed for 32 byte Windows under Windows XP and Windows 7 operation systems. Its language is Visual Prolog 7.51 Personal Edition . There are some DLL-s required by the Visual Prolog executables.The program exports some of its tasks to external utilities therefore some environment variables and batch files are needed to its working.

Used external programs

  • Author's own

TestDraw

Third party

• WinMerge to do the comparison of reports.

• IrfanView to convert figures.

• Adobe Reader XI to read the PDF help file.

The batch files invoking external programs are in the EXE sub-folder of the program.

COMPARATOR.BAT

rem Compare two files with WinMerge

rem The batch file needs the environment variable

rem COMPARATOR showing the path to WinMergeU.exe.

"%COMPARATOR%\WinMergeU.exe" /s /wl /wr /maximum %1 %2

CONPIC.BAT

@echo Start of conpic.bat

@echo Batch conversion of the given graphical file(s)

@echo parameters

@echo #1 input filename/mask = %1

@echo #2 output filename/mask = %2

@echo The batch file needs the environment variable

@echo irfan_view showing the path to i_view32.exe.

@if "%irfan_view%" == "" goto err1

@if "%1" == "%2" goto same

@"%irfan_view%\i_view32.exe" "%1" /convert="%2" /cmdexit

@if errorlevel 1 goto err2

pause File %1 has been successfully converted to %2.

@goto fin

:same

pause File %1 has not been converted because input and output files are the same.

@goto fin

:err2

pause Conversion has failed because of "%irfan_view%\i_view32.exe" error.

@goto fin

:err1

pause Conversion has failed because the environment variable "irfan_view" is undefined.

:fin

@echo End of conpic.bat

OPENFIND.BAT

rem Open pdf (prm1) with Acrobat reader

rem and search for something (prm2)

rem The batch file needs the environment variable

rem adobe_rdr showing the path to AcroRd32.exe.

"%adobe_rdr%\AcroRd32.exe" /A "zoom=73&navpanes=1=OpenActions&search=%2" %1

OPENPAGE.BAT

rem Open pdf (prm1) with Acrobat reader at given page (prm2)

rem The batch file needs the environment variable

rem adobe_rdr showing the path to AcroRd32.exe.

"%adobe_rdr%\AcroRd32.exe" /A "zoom=73&page=%2=OpenActions" %1

The above batch files use environment variables which must be set to the paths to the external programs.

• COMPARATOR --> to WinMerge,

• irfan_view --> to IrfanView,

• adobe_rdr --> to Adobe Reader, repectively.

The environment variables can be set by the Control Panel.

Created with the Personal Edition of HelpNDoc: Free EPub producer


Running the Program

The Traveling Salesman Problem ›› Usage ››

Running the Program

Previous Top Next

The program is in the Exe sub-folder of the main directory. Its name is tsp.exe . The program immediately displays the selection of the log file . The author recommends to open a log file with tsc extension, especially when the user wants to enter the data using the dialogs because the manually entered data will be saved as batch command for subsequent runs and for documentation purposes.

Created with the Personal Edition of HelpNDoc: Full-featured Kindle eBooks generator


Menu System

The Traveling Salesman Problem ›› Usage ››

Menu System

Previous Top Next

The menu system appears on the top of the application window of the program, the Task Window.

Some menu items can be activated by the Project Toolbar , too, which is located below the menu banches and over the client area of the Task Window.

Legend:

Ø : The menu branch or menu item does not have hot key.

& : The next letter after the ampersand is the calling letter of the menu branch or menu item.

Text with &Calling letter_ _ _ _ _ _ Hot key

├ &Input file_ _ _ _ _ _ _ _ _ _ _ _ Ø

│ └ &Open_ _ _ _ _ _ _ _ _ _ _ _ Ctrl+O

│ └ E&xit_ _ _ _ _ _ _ _ _ _ _ _ Ø

├ &Log_ _ _ _ _ _ _ _ _ _ _ _ _ _ _ Ø

│ └ &Create_ _ _ _ _ _ _ _ _ _ _ _ Ctrl+F10

│ └ &Suspend_ _ _ _ _ _ _ _ _ Shift+F10

│ └ &Resume_ _ _ _ _ _ _ _ _ _ _ _ Alt+F10

│ └ c&Lose_ _ _ _ _ _ _ _ _ _ _ _ F10

├ &Options_ _ _ _ _ _ _ _ _ _ _ _ Ø

│ └ &Message Window_ _ _ _ _ _ F9

│ └ &Input_ _ _ _ _ _ _ _ _ _ _ _ Shift+F9

│ └ &Validation of Distances_ _ _ Ctrl+F9

│ └ &Solution_ _ _ _ _ _ _ _ _ Alt+F9

│ └ Styles of &Colored Reports Ctrl+Shift+F9

├ &Comment_ _ _ _ _ _ _ _ _ _ _ _ Ø

│ └ &Add_ _ _ _ _ _ _ _ _ _ _ _ F12

├ Pl&ace sets_ _ _ _ _ _ _ _ _ _ _ _ Ø

│ └ &Make_ _ _ _ _ _ _ _ _ _ _ _ F2

│ └ &Convert_ _ _ _ _ __ _ _ _ _ Ctrl+F2

│ └ &Edit_ _ _ _ _ _ _ _ _ _ _ _ Shift+F2

├ Pla&n_ _ _ _ _ _ _ _ _ _ _ _ _ _ _ Ø

│ └ &Make_ _ _ _ _ _ _ _ _ _ _ _ F3

│ └ &Edit_ _ _ _ _ _ _ _ _ _ _ _ Shift+F3

├ &Solution_ _ _ _ _ _ _ _ _ _ _ _ Ø

│ └ &Primary_ _ _ _ _ _ _ _ _ F4

│ └ &Secondary_ _ _ _ _ _ _ _ _ Shift+F4

├ &Report_ _ _ _ _ _ _ _ _ _ _ _ Ø

│ └ &Simple_ _ _ _ _ _ _ _ _ _ _ _ F5

│ └ &Comparative_ _ _ _ _ _ _ _ _ Ctrl+F5

├ Se&ttings_ _ _ _ _ _ _ _ _ _ _ _ Ø

│ └ &Load_ _ _ _ _ _ _ _ _ _ _ _ F6

├ &View_ _ _ _ _ _ _ _ _ _ _ _ _ _ _ Ø

│ └ &Make_ _ _ _ _ _ _ _ _ _ _ _ F7

│ └ &Edit_ _ _ _ _ _ _ _ _ _ _ _ Shift+F7

├ Fig&ure_ _ _ _ _ _ _ _ _ _ _ _ Ø

│ └ &Make_ _ _ _ _ _ _ _ _ _ _ _ F8

├ &Help_ _ _ _ _ _ _ _ _ _ _ _ _ _ _ Ø

│ └ &Local for Dialogs from CHM F1

│ └ &Contents of CHM_ _ _ _ _ _ Ctrl+F1

│ └ &Keywords from CHM_ _ _ _ _ _ Shift+F1

│ └ &Hot Keys

│ ├ of Task Menu _ __ _ _ _ _ Alt+F1

│ └ within Message Window _ _ Alt+Shift+F1

│ └ &Menu System from CHM_ _ _ Ctrl+Alt+F1

│ └ &Batch Input from PDF_ _ _ F11

│ └ &Search PDF_ _ _ _ _ _ _ _ _ Shift+F11

│ └ &About_ _ _ _ _ _ _ _ _ _ _ _ Ctrl+B

└ &Window _ _ _ _ _ _ _ _ _ _ _ _ Ø

└ &Cascade_ _ _ _ _ _ _ _ _ _ _ _Ø

└ Tile &Vertically_ _ _ _ _ _ Ø

└ Tile &Horizontally_ _ _ _ _ _ Ø

└ &Arrange_ _ _ _ _ _ _ _ _ _ _ _Ø

└ &Destroy_ _ _ _ _ _ _ _ _ _ _ _Ø

├ &All report windows_ _ _ _ _Ø

└ &Selected by ..._ _ _ _ _ _ Ø

└ &Solution_ _ _ _ _ _ _ _ Ø

└ &Table name_ _ _ _ _ _ _ Ø

Created with the Personal Edition of HelpNDoc: Free EBook and documentation generator


Project Toolbar

The Traveling Salesman Problem ›› Usage ›› Menu System ››

Project Toolbar

Previous Top Next

Some menu items can be executed by pushing the buttons of the Project Toolbar on the top of the application window. This toolbar contains read only fields showing the active input and output fields and dialogs and the following button corresponding to menu items.

Toolbar Button | Branch | Item
 | I nput file |
 |  | O pen
 |  | Exit
 | L og |
 |  | Create
 |  | Suspend
 |  | Resume
 |  | cLose
 | C omment |
 |  | Add
 | H elp |
 |  | Contents

Created with the Personal Edition of HelpNDoc: Generate Kindle eBooks with ease


Input File Menu

The Traveling Salesman Problem ›› Usage ›› Menu System ››

Input File Menu branch

Previous Top Next

This menu branch has two menu items:

1. Open ,

2. Exit .

Created with the Personal Edition of HelpNDoc: Generate EPub eBooks with ease


Open Input File Menu Item

The Traveling Salesman Problem ›› Usage ›› Menu System ›› Input File Menu ››

Open Input File Menu Item

Previous Top Next

This menu item serves for selection and opening of the executed batch input files. The user can select from three groups of existing data files.

Prompt | Mask | Source
Unchecked data files | *.tsp | Data assembled by the user.
Checked data files | *.tsc | Log files made by the previous run.
Ready data files | *.tsr | Designed by the programmer. E. g. ready-made plans.

The next topic contains a link to the built-in ready plans.

You can load all of them using the INCPLANS.TSR data file.

Created with the Personal Edition of HelpNDoc: Write EPub books for the iPad


Exit from Program

The Traveling Salesman Problem ›› Usage ›› Menu System ›› Input File Menu ››

Exit from Program Menu Item

Previous Top Next

The program can be stopped from this menu item.

Created with the Personal Edition of HelpNDoc: Write eBooks for the Kindle


Log Menu Branch

The Traveling Salesman Problem ›› Usage ›› Menu System ››

Log Menu Branch

Previous Top Next

The commands triggers the logging of the batch input files and the batch commands stored by interactive dialogs. The created log filed can be used as input files of a later run of the TSP program.

This menu branch has four items:

• Create

• Suspend

• Resume

• Close .

The log files contain batch input commands

• read from the batch input lines and validated,

• system generated commands corresponding to the data entered using dialogs,

• header lines showing the extents of the input fields,

• special comments containing error messages .

This menu barnch has neither corresponding batch data packet or command line within such packet.

Example#1: Inclusion of ready plans

The logging is suspended during the evaluation the included files.The {...} lines were copied from the original INCPLANS.TSR file.

{Include ready plans Corrected 2014.06.28.}

include input_file complex.tsr

{Incplans.tsr line 3}

include input_file continued.tsr

{Incplans.tsr line 5}

include input_file few_continue.tsr

{Incplans.tsr line 7}

include input_file full.tsr

{Incplans.tsr line 9}

include input_file incomplete.tsr

{Incplans.tsr line 11}

include input_file no_connect.tsr

{Incplans.tsr line 13}

include input_file simple.tsr

{Incplans.tsr line 15}

include input_file undo.tsr

{Incplans.tsr line 19 = last}

Example#2: Erroneous plan

The error messages refer to the pages of the help file in pdf format . The lines containing <...> pairs are the program generated header lines showing the field boundaries. The " ¿" character marks error messages.

<PREDICATE ><OBJECT ><NEW_PLAN ><FOR_SEARCH><INI_PLAN >

make plan simple undefined empty

?FOR_SEARCH ? 0 The initial state of the search is not in the set {»full«, »greedy«, »undo«}.

¿Where can you get help? See page# 72 or search for »search« .

allow transaction start p div 2

¿SENTENCE ? 0 Current section is »undefined«. This pair of predicate and object is not accepted now.

¿Where can you get help? See page# 56 or search for »transaction« .

finish plan

¿SENTENCE ? 0 Current section is »undefined«. This pair of predicate and object is not accepted now.

¿Where can you get help? See page# 56 or search for »plan« .

make plan simple greedy empty

<PREDICATE ><OBJECT ><LABEL >

label plan Test of error handling of ALLOW command

<PREDICATE ><OBJECT ><TRANSACTIO><FORMULA >

allow transaction start q div 2

¿FORMULA ? 0 The formula contains illegal tokens.

¿FORMULA ? 1 q div 2

¿FORMULA ? 2 [u("q")]

¿Where can you get help? See page# 74 or search for »allowed« .

allow transaction undefined q div 2

?TRANSACTIO ? 0 Invalid transaction symbol.

?Where can you get help? See page# 73 or search for »TRANSACTION Symbols« .

allow transaction connect (-p+ 2*p-1)+(1+2+3*p)

allow transaction continue ((-p+ 2*p-1)

¿FORMULA ? 0 The parentheses are badly nested in the formula.

¿FORMULA ? 1 ( ( - p + 2 * p - 1 )

¿FORMULA ? 2 [p("("),p("("),o("-"),v("p"),o("+"),i(2),o("*"),v("p"),o("-"),i(1),p(")")]

¿Where can you get help? See page# 74 or search for »allowed« .

allow transaction continue (-p+ 2*p-1))

¿FORMULA ? 0 The parentheses are badly nested in the formula.

¿FORMULA ? 1 ( - p + 2 * p - 1 ) )

?FORMULA ? 2 [p("("),o("-"),v("p"),o("+"),i(2),o("*"),v("p"),o("-"),i(1),p(")"),p(")")]

?Where can you get help? See page# 74 or search for »allowed« .

allow transaction continue *p-1

?FORMULA ? 0 The formula starts with an illegal token.

?FORMULA ? 1 * p - 1

?FORMULA ? 2 [o("*"),v("p"),o("-"),i(1)]

?Where can you get help? See page# 74 or search for »allowed« .

allow transaction continue p-1 div

?FORMULA ? 0 The formula ends with an illegal token.

?FORMULA ? 1 p - 1 div

?FORMULA ? 2 [v("p"),o("-"),i(1),o("div")]

?Where can you get help? See page# 74 or search for »allowed« .

allow transaction continue p--1

?FORMULA ? 0 Illegal sequence of tokens.

¿FORMULA ? 1 p - - 1

¿FORMULA ? 2 [v("p"),o("-"),o("-"),i(1)]

¿Where can you get help? See page# 74 or search for »allowed« .

allow transaction continue p 1

¿FORMULA ? 0 Illegal sequence of tokens.

¿FORMULA ? 1 p 1

¿FORMULA ? 2 [v("p"),i(1)]

¿Where can you get help? See page# 74 or search for »allowed« .

allow transaction unknown (p)*(1+p)

¿TRANSACTIO ? 0 Invalid transaction symbol.

¿Where can you get help? See page# 73 or search for »TRANSACTION Symbols« .

allow transaction continue (p)**(1+p)

¿FORMULA ? 0 Illegal sequence of tokens.

¿FORMULA ? 1 ( p ) * * ( 1 + p )

¿FORMULA ? 2 [p("("),v("p"),p(")"),o("*"),o("*"),p("("),i(1),o("+"),v("p"),p(")")]

¿Where can you get help? See page# 74 or search for »allowed« .

allow transaction continue 1 1

¿FORMULA ? 0 Illegal sequence of tokens.

¿FORMULA ? 1 1 1

¿FORMULA ? 2 [i(1),i(1)]

¿Where can you get help? See page# 74 or search for »allowed« .

EXECUTE TRANSACTION close

¿FORMULA ? 0 The formula must contain at least one token.

¿Where can you get help? See page# 74 or search for »allowed« .

<PREDICATE ><OBJECT ><COMPLEMENTS >

finish plan

Created with the Personal Edition of HelpNDoc: Full-featured Documentation generator


Create Log File Menu Item

The Traveling Salesman Problem ›› Usage ›› Menu System ›› Log Menu Branch ››

Create Log File Menu Item

Previous Top Next

The disadvantage of manual data entry is the difficulty of reproduction of the entered commands. The program provides the logging of the entered data, regardless of their source. Both batch commands and the interactively entered data are log in the format of batch input files therefore they can be reused at later runs.

The default extension of the log files is tsc = "New checked data file" . Their recommended sub-folder is Data . The following file selection dialog is displayed.

Created with the Personal Edition of HelpNDoc: Easily create CHM Help documents


Suspend Log Menu Item

The Traveling Salesman Problem ›› Usage ›› Menu System ›› Log Menu Branch ››

Suspend Log Menu Item

Previous Top Next

This menu item enables temporary suspension of the logging of entered and read commands. (The user knows that the next dialog is not needed in the reproduction of his/her work.)

Created with the Personal Edition of HelpNDoc: Free HTML Help documentation generator


Resume Log Menu Item

The Traveling Salesman Problem ›› Usage ›› Menu System ›› Log Menu Branch ››

Resume Log Menu Item

Previous Top Next

This menu item enables resuming the temporarily suspended logging of entered and read commands. (The user knows that the next dialog is needed in the reproduction of his/her work.)

Created with the Personal Edition of HelpNDoc: Free Web Help generator


Close Log Menu Item

The Traveling Salesman Problem ›› Usage ›› Menu System ›› Log Menu Branch ››

Close Log Menu Item

Previous Top Next

This menu item closes the logging of entered and read commands. It should be followed by creation of a new log file when the user wants to separate the commands of the current run.

Created with the Personal Edition of HelpNDoc: Easily create CHM Help documents


Options Menu

The Traveling Salesman Problem ›› Usage ›› Menu System ››

Options Menu Branch

Previous Top Next

This menu branch is designed for setting run-time options of the program. Its items:

Item | Corresponding batch data packet
Message Window | Missing
Input Options | Missing
Validation of Distances | Commands in PLACESET and SOLUTION packets.
Solution Options | Missing
Styles of Colored Reports | STYLES

Created with the Personal Edition of HelpNDoc: Free help authoring tool


Message Window Menu Item

The Traveling Salesman Problem ›› Usage ›› Menu System ›› Options Menu ››

Message Window Menu Item

Previous Top Next

This menu item opens the dialog Options for the Main Message Window.

Created with the Personal Edition of HelpNDoc: Write eBooks for the Kindle


Validation of Distances Menu Item

The Traveling Salesman Problem ›› Usage ›› Menu System ›› Options Menu ››

Validation of Distances Menu Item

Previous Top Next

The calculation and validation of the distances of the places may be done during the addition of the places to the place sets or later as the solution of the problem. This menu item calls usual selector of number of dimensions coordinate system then the proper dialog providing the options during the interactive editing of the place sets:

1. two-dimensional Cartesian coordinates,

2. three-dimensional Cartesian coordinates,

3. two-dimensional spherical coordinates,

4. three-dimensional spherical coordinates.

Created with the Personal Edition of HelpNDoc: Easy EPub and documentation editor


Input Options Menu Item

The Traveling Salesman Problem ›› Usage ›› Menu System ›› Options Menu ››

Input Options Menu Item

Previous Top Next

This menu item serves for the entering of the handling of batch and interactive input.

  1. Handling of the unclosed batch data packets at the end of included data files.
  2. Handling of the rest of commands after a rejected batch command .
  3. Handling of long real values in interactive dialogs.

If this menu item is not called and confirmed then the default behavior is

finish pending:= automatically,

handle rejected:=next data packet,

handle longreal:=format long reals using '%g12.4', respectively.

Handling of the unclosed batch data packets

If the end of an input file is reached the the program by default issues a finish command for the pending section and the next input file starts from undefined state. This behavior can be changed by the dialog Input Options called by this menu item. The user can trigger in this dialog the automatic finishing of the pending data packets. When the finishing is switched off, large place sets sharing common subsets of places can be cut to more than one data files.

Example

Here are two data files. If the data packet read from the first one is finished then the second becomes invalid because of the missing header commands. If the data packet is left pending then the add commands of the second data file are valid.

1. unfinished.tsp

<VERB ><OBJECT ><NEW_TITLE ><SPACE ><SYSTEM ><INI_TITLE >

make placeset bigradius two spherical empty

<VERB ><OBJECT ><LABEL >

label placeset 2-d spherical place set near the dateline

{Fill in common radius}

fill coordinate radius 10000

<VERB ><OBJECT ><ADD_NAME ><LATITUDE ><LONGITUDE >

add place a 0 170

add place b 0 -160

add place c 10 175

{unfinished}

2. continue unfinished.tsp

{continue unfinished}

add place d 10 -165

add place e 20 177

add place f 20 -177

add place g 20 179.5

add place h 20 -179.5

add place np 90 30

add place sp -89.995 -30

<VERB ><OBJECT >

finish placeset

The following excerpts of the message files and dialogs show the result of the chosen options.

The data packets normally do not spread into more than one data file. If the end of a data file is reached when the FINISH command of data packet has not been read then the program can do the following actions:

  1. Finish pending sections automatically.
  2. Finish pending sections upon request.
  3. Never finish pending sections.

The continuation of the data packet is allowed

  • when the user selected the "never" radio button or
  • when the user chooses "upon request" from the radio buttons in advance and answered "yes" to the common dialog emerging from the message window.

The Data sub-folder contain four runs based on the above two data files.

Option | automatically | upon request, yes | upon request, no | never
File list | run150606122104.fil | run150606105230.fil | run150606105015.fil | run150606104901.fil
Message file | run150606122104msg.html | run150606105230msg.html | run150606105015msg.html | run150606104901msg.html

If the pending packet is finished then the continuation is illegal.

If the unclosed packet is not finished then its continuation is legal.

Handling of rejected commands

If a batch command is rejected then the program can continue the parsing of the data lines

  • at the next data line,
  • at the next data packet ignoring all commands until FINISH,
  • neglecting all subsequent commands of the data file.

Handling of long real values in interactive dialogs

The batch files have 12 character width fields for real numbers. The interactively entered real numbers must fit into this width. The user has to decide in advance whether the longer values are discarded or formatted using "%g12.4" specification.

Created with the Personal Edition of HelpNDoc: Free Web Help generator


Solution Options Menu Item

The Traveling Salesman Problem ›› Usage ›› Menu System ›› Options Menu ››

Solution Options Menu Item

Previous Top Next

This menu item calls the dialog which restricts the availability of full and undo searches depending the number of places in the place set. The called dialog is Solution Options .

This menu item has not corresponding batch input commands.

Created with the Personal Edition of HelpNDoc: Full-featured Documentation generator


Styles of Colored Reports

The Traveling Salesman Problem ›› Usage ›› Menu System ›› Options Menu ››

Styles of Colored Reports

Previous Top Next

This menu item opens the dialog Styles of Colored Reports .

This menu item has neither corresponding batch data packet or command line within such packet.

Created with the Personal Edition of HelpNDoc: Easily create PDF Help documents


Comments Menu

The Traveling Salesman Problem ›› Usage ›› Menu System ››

Comments Menu Branch

Previous Top Next

The user can add comments to the log file. This menu branch has only one sub-item, the Comments Add menu item .

Created with the Personal Edition of HelpNDoc: What is a Help Authoring tool?


Comments Add Menu Item

The Traveling Salesman Problem ›› Usage ›› Menu System ›› Comments Menu ››

Comments Add Menu Item

Previous Top Next

This menu item calls the Comment dialog which asks for a comment line copied to the log file .

Created with the Personal Edition of HelpNDoc: Free PDF documentation generator

Copyright © <Dates> by <Authors>. All Rights Reserved.


Place Sets Menu Branch

The Traveling Salesman Problem ›› Usage ›› Menu System ››

Place Sets Menu Menu Branch

Previous Top Next

This menu branch allows the user to enter the investigated place sets of the Traveling Salesman Problem. Each place set has

  1. general fields
  • identifier (title),
  • label,
  2. specific fields
  • number of dimensions and
  • coordinate system.
  3. The place sets consists of places given by
  • identifiers (place names),
  • Cartesian or spherical coordinates. All places must be given on the same way.

This menu branch has three items:

1. Make

2. Edit

3. Convert .

Created with the Personal Edition of HelpNDoc: Full-featured EBook editor


Make Place Set Menu Item

The Traveling Salesman Problem ›› Usage ›› Menu System ›› Place Sets Menu Branch ››

Make Place Sets Menu Item

Previous Top Next

The place sets can be made in empty state or based on another place set which has at least one place.

1. The first step is the selection of the copied place set.

2. The second step is the identification and labeling of the place set.

3. The third step is its population with places.

The corresponding dialogs are:

1. Selection of copied place set ,

2. Make place set ,

3. Add place , respectively.

Created with the Personal Edition of HelpNDoc: Free Web Help generator

Copyright © <Dates> by <Authors>. All Rights Reserved.


Edit Place Set Menu Item

The Traveling Salesman Problem ›› Usage ›› Menu System ›› Place Sets Menu Branch ››

Edit Place Set Menu Item

Previous Top Next

The place sets can be made in empty state or based on another place set which has at least one place.

1. The first step is the selection of the edited place set.

2. The second step is the correction of its label.

3. The third step is its further population with places, replacement and deletion of erroneous places.

The corresponding dialogs are:

1. Selection the edited place set ,

2. Edit place set ,

3. Add place , respectively.

Created with the Personal Edition of HelpNDoc: Easy EPub and documentation editor


Convert Place Set Menu Item

The Traveling Salesman Problem ›› Usage ›› Menu System ›› Place Sets Menu Branch ››

Convert Place Set Menu Item

Previous Top Next

The place sets can filled using data converted from another set having different number of dimensions and coordinate system. This menu item calls the Available Conversions then the Convert Place Set dialogs .

Created with the Personal Edition of HelpNDoc: Easily create CHM Help documents


Plan Menu Branch

The Traveling Salesman Problem ›› Usage ›› Menu System ››

Plan Menu Branch

Previous Top Next

This menu branch allows the user to enter plans of solution of the Traveling Salesman Problem. Each plan has identifier, label, and kind of search. The plans consist of transactions. The transactions are different for each kinds of searches. They can be repeatable and non-repeatable.

The repeatable transactions can be executed more times. The non-repeatable transactions can be executed at most once.

This menu branch has two items:

1. Make Plan and

2. Edit Plan .

The kind of search must be selected as the first step of both items.

The second step is the selection of the plan

1. copied into the newly made plan, and

2. edited, respectively.

The final stage is the filling of the formula of allowed count of transactions.The formulae are arithmetic expression including the count of places in the processed place set.

Created with the Personal Edition of HelpNDoc: Full-featured Kindle eBooks generator

Copyright © <Dates> by <Authors>. All Rights Reserved.


Make Plan Menu Item

The Traveling Salesman Problem ›› Usage ›› Menu System ›› Plan Menu Branch ››

Make Plan Menu Item

Previous Top Next

This menu branch item the user make new plans of solution of the Traveling Salesman Problem. Each plan has identifier, label, and kind of search. The plans consists of transactions. The transactions are different for each kinds of searches. They can be repeatable and not repeatable.

The repeatable transactions can be executed more times. The nor repeatable transactions can be executed at most once.

1. The kind of search must be selected as the first step of both items.

2. The second step is the selection of the plan copied into the newly made plan.

3. The final stage is the filling of the formula of allowed count of transactions.The formulae are arithmetic expression including the count of places in the processed place set.

The dialogs called from menu branch "Plan" are described in the chapter of Dialogs .

Created with the Personal Edition of HelpNDoc: Easily create Web Help sites


Edit Plan Menu Item

The Traveling Salesman Problem ›› Usage ›› Menu System ›› Plan Menu Branch ››

Edit Plan Menu Item

Previous Top Next

This menu item serves for the edition of the plans of solution of the Traveling Salesman Problem. Each plan has identifier, label, and kind of search. The plans consists of transactions. The transactions are different for each kinds of searches. They can be repeatable and not repeatable.The repeatable transactions can be executed more times. The not repeatable transactions can be executed at most once.

The kind of search must be selected as the first step of both items.

The second step is the selection of the edited plan. The edited place set can be selected from those ones which have not been evaluated in a solution.

The final stage is the filling of the formula of allowed count of transactions.The formulae are arithmetic expression including the count of places in the processed place set.

The dialogs called from menu branch "Plan" are described in the chapter of Dialogs .

Created with the Personal Edition of HelpNDoc: Free iPhone documentation generator

Copyright © <Dates> by <Authors>. All Rights Reserved.


Solution Menu Branch

The Traveling Salesman Problem ›› Usage ›› Menu System ››

Solution Menu Branch

Previous Top Next

The task of menu item to start a solution based on

1. a valid place set

2. and a valid plan.

The solution can be

1. primary = starting from clean state that is from unconnected places and

2. secondary = continued from an earlier solution which resulted a complete round trip or one or more unclosed and/or unconnected partial routes.

The menu items correspond to this classification:

1. Make Primary Solution and

2. Make Secondary Solution , respectively.

Created with the Personal Edition of HelpNDoc: Free iPhone documentation generator

Copyright © <Dates> by <Authors>. All Rights Reserved.


Make Primary Solution Menu Item

The Traveling Salesman Problem ›› Usage ›› Menu System ›› Solution Menu Branch ››

Make Primary Solution Menu Item

Previous Top Next

The steps of making a primary solution are:

I. The preparing steps are shown as consecutive dialogs.

  1. It starts with selection of the kind of search .
  2. It continues with selection of the with the selection of a valid place set
  3. then the selection of the executed plan .

II. The following steps are shown as the Make_Solution_ Dialog containing overlaid tabbed pages.

Created with the Personal Edition of HelpNDoc: Free PDF documentation generator

Copyright © <Dates> by <Authors>. All Rights Reserved.


Make Secondary Solution Menu Item

The Traveling Salesman Problem ›› Usage ›› Menu System ›› Solution Menu Branch ››

Make Secondary Solution Menu Item

Previous Top Next

The steps of making a primary solution are:

I. The preparing steps are shown as consecutive dialogs.

  1. It starts with selection of the kind of search.
  2. It continues with selection of the with the selection of a valid place set
  3. then the selection of the executed plan.

II. The following steps are shown as a dialog containing overlaid tabbed pages.

  4. Applied plan.
  5. Identifier and label of the primary solution.
  6. Part of place set taken in account.
  7. Initial conditions
    1. beginning place,
    2. fixed edges,
    3. prohibited edges.
  8. The continued primary solution.
  9. The type of solution:
    1. deterministic,
    2. randomized with a given smashing width.
  10. the dialogs called from menu branch solution .

Created with the Personal Edition of HelpNDoc: Create HTML Help, DOC, PDF and print manuals from 1 single source

Copyright © <Dates> by <Authors>. All Rights Reserved.


Report Menu Branch

The Traveling Salesman Problem ›› Usage ›› Menu System ››

Report Menu Branch

Previous Top Next

This menu item is ruling the reporting of the available solutions. The reports can be send to a window of the screen or to disk files. The report can contain result of a single solution or comparison of two solutions.The corresponding menu items are:

1. Make Simple Report ,

2. Make Comparative Report .

Created with the Personal Edition of HelpNDoc: Full-featured Kindle eBooks generator


Make Simple Report Menu Item

The Traveling Salesman Problem ›› Usage ›› Menu System ›› Report Menu Branch ››

Make Simple Report Menu Item

Previous Top Next

The simple reports consists of the following tables.

This menu item calls the dialog Make Simple Report .

Created with the Personal Edition of HelpNDoc: Easily create EBooks


Make Comparative Report Menu Item

The Traveling Salesman Problem ›› Usage ›› Menu System ›› Report Menu Branch ››

Make Comparative Report Menu Item

Previous Top Next

The menu item calls an external program namely the WinMerge to do the comparison. The TSP program issues a batch command calling the WinMerge program with read only compared files in order to prevent falsifying synchronization the results.

The WinMerge program can compare any kind of text files

• reports written to disk

• input data files

• saved contents of message windows

• source files.

The WinMerge program uses brightly colored background in order to highlight

• the totally matching lines

• the partially matching lines

• the fully different ones.

It has a menu item generating reports in HTML format preserving the colors.

Sample from a report generated by WinMerge

Created with the Personal Edition of HelpNDoc: Easy to use tool to create HTML Help files and Help web sites


Settings Menu Branch

The Traveling Salesman Problem ›› Usage ›› Menu System ››

Settings Menu Branch

Previous Top Next

This menu branch serves for the loading of the styles applied for the Figures. This styles can be changed by the TestDraw program. The TSP program can only load, parse and apply them.

This branch has only one item: The Load Settings Menu Item .

Created with the Personal Edition of HelpNDoc: Free HTML Help documentation generator

Copyright © <Dates> by <Authors>. All Rights Reserved.


Load Settings Menu Item

The Traveling Salesman Problem ›› Usage ›› Menu System ›› Settings Menu Branch ››

Load Settings Menu Item

Previous Top Next

The options for the main message window and the figures are read by this menu item which prompts the user for an indirect files containing file names of the settings. These files can be assembled by the TestDraw program.

Contents | Extension
Indirect files | *.ind
Saved areas | *.sava
Saved color compositions | *.savc
Saved font definitions and sample texts | *.savf
names, units and value on the scales |
Saved locations of the message windows | *.savl
Saved pen styles and draw modes | *.savs

The contents of indirect files look like this:

clauses

saved_as("nul").

indirect("Font","D:\\Feri\\TestDraw\\Exe\\1.savf").

indirect("Areas","D:\\Feri\\TestDraw\\Exe\\1.sava").

indirect("Composition","D:\\Feri\\TestDraw\\Exe\\opaque top and right ⇘ scale lines on black bg.savc").

indirect("Style","D:\\Feri\\TestDraw\\Exe\\wide left and bottom axes on ⇘ black bg.savs").

indirect("Location","D:\\Feri\\TestDraw\\Exe\\1.savl").

The menu item calls the Load Settings dialog .

Created with the Personal Edition of HelpNDoc: Create HTML Help, DOC, PDF and print manuals from 1 single source

Copyright © <Dates> by <Authors>. All Rights Reserved.


View Menu Branch

The Traveling Salesman Problem ›› Usage ›› Menu System ››

View Menu Branch

Previous Top Next

Properties of the views

The limits of clip area of shown places for each coordinates:

User-defined given as the center and extent of shown coordinates

Fitted to the range of displayed place set(s)

The projection methods

Map projections of the surface of the sphere to the plane of the map

Collineations of 3-dimensional data into 2 dimensions

This menu branch has the menu items

1. Make View and

2. Edit View .

Created with the Personal Edition of HelpNDoc: Easily create EPub books

Copyright © <Dates> by <Authors>. All Rights Reserved.


Make View Menu Item

The Traveling Salesman Problem ›› Usage ›› Menu System ›› View Menu Branch ››

Make View Menu Item

Previous Top Next

This menu item calls the sequence of dialogs necessary to create a new view.

Created with the Personal Edition of HelpNDoc: Easily create Help documents

Copyright © <Dates> by <Authors>. All Rights Reserved.


Edit View Menu Item

The Traveling Salesman Problem ›› Usage ›› Menu System ›› View Menu Branch ››

Edit View Menu Item

Previous Top Next

This menu item calls the sequence of dialogs necessary to modify an existing view.

Created with the Personal Edition of HelpNDoc: Full-featured Documentation generator

Copyright © <Dates> by <Authors>. All Rights Reserved.


Figure Menu Branch

The Traveling Salesman Problem ›› Usage ›› Menu System ››

Figure Menu Branch

Previous Top Next

This menu branch serves for the interactive drawing of figures of the solutions as extended metafiles (*.emf). It has only one item, the Make Figure Menu Item .

Created with the Personal Edition of HelpNDoc: Easily create iPhone documentation


Make Figure Menu Item

The Traveling Salesman Problem ›› Usage ›› Menu System ›› Figure Menu Branch ››

Make Figure Menu Item

Previous Top Next

This menu item calls a sequence of dialogs necessary to collect the data and lookout of the figure showing one or two solutions.

Created with the Personal Edition of HelpNDoc: Free Web Help generator


Help Menu

The Traveling Salesman Problem ›› Usage ›› Menu System ››

Help Menu Branch

Previous Top Next

The help menu invokes the pages matching to the most important pages of this help file and from the other help file .

Item name | Modifier1 | Modifier2 | Hot key
Contents from CHM | Ctrl | None | F1
Local from CHM | None | None | F1
Batch Input from PDF | None | None | F11
Search from PDF | Shift | None | F11
Keywords from CHM | Ctrl | Shift | F1
Hot Keys... |  |  |
of the Task Window | Alt | None | F1
within Message Window | Alt | Shift | F1
Menu System from CHM | Ctrl | Alt | F1
"About" Menu Item | Ctrl | None | B

Created with the Personal Edition of HelpNDoc: Full-featured EPub generator

Copyright © <Dates> by <Authors>. All Rights Reserved.


Help Contents Menu Item

The Traveling Salesman Problem ›› Usage ›› Menu System ›› Help Menu ››

Help Contents Menu Item

Previous Top Next

This menu item opens the contents of this help file.

Created with the Personal Edition of HelpNDoc: Easily create Help documents

Copyright © <Dates> by <Authors>. All Rights Reserved.


Local Help Menu Item

The Traveling Salesman Problem ›› Usage ›› Menu System ›› Help Menu ››

Local Help Menu Item

Previous Top Next

This menu item open the local help for the currently opened form (child window).

Created with the Personal Edition of HelpNDoc: Easy CHM and documentation editor

Copyright © <Dates> by <Authors>. All Rights Reserved.


Help Input Menu Item

The Traveling Salesman Problem ›› Usage ›› Menu System ›› Help Menu ››

Help Input Menu Item

Previous Top Next

This menu item opens the requested page of the other help file .

Created with the Personal Edition of HelpNDoc: Free EBook and documentation generator

Copyright © <Dates> by <Authors>. All Rights Reserved.


Search in Help Menu Item

The Traveling Salesman Problem ›› Usage ›› Menu System ›› Help Menu ››

Search in Help Menu Item

Previous Top Next

This menu item asks for the sought expression then displays the from the other PDF help file with the advanced search window.

Created with the Personal Edition of HelpNDoc: What is a Help Authoring tool?

Copyright © <Dates> by <Authors>. All Rights Reserved.


Keywords

The Traveling Salesman Problem ›› Usage ›› Menu System ›› Help Menu ››

Keywords

Previous Top Next

This menitem asks for a keyword then hilites in the list of keyword of this CHM help file.

Created with the Personal Edition of HelpNDoc: Easily create iPhone documentation

Copyright © <Dates> by <Authors>. All Rights Reserved.


Hot Keys of The Task Menu

The Traveling Salesman Problem ›› Usage ›› Menu System ›› Help Menu ››

Hot Keys of The Task Menu

Previous Top Next

The following table contains the hot keys of the program ordered by the pressed buttons.

Branch | Item | Modifier1 | Modifier2 | Function key | Function number | Letter key
Help | About | Ctrl | (None) | (None) | (None) | B
Input file | Open | Ctrl | (None) | (None) | (None) | O
Help | Local for Dialogs from CHM | (None) | (None) | F | 1 |
Help | Hot Keys -> of the Task Menu | Alt | (None) | F | 1 |
Help | Hot Keys -> within the Message Window | Alt | Shift | F | 1 |
Help | Contents of CHM | Ctrl | (None) | F | 1 |
Help | Menu System from CHM | Ctrl | Alt | F | 1 |
Help | Keywords from CHM | Shift | (None) | F | 1 |
Place sets | Make | (None) | (None) | F | 2 |
Place sets | Convert | Ctrl | (None) | F | 2 |
Place sets | Edit | Shift | (None) | F | 2 |
Plan | Make | (None) | (None) | F | 3 |
Plan | Edit | Shift | (None) | F | 3 |
Solution | Primary | (None) | (None) | F | 4 |
Input file | Exit | Alt | (None) | F | 4 |
Solution | Secondary | Shift | (None) | F | 4 |
Report | Simple | (None) | (None) | F | 5 |
Report | Comparative | Ctrl | (None) | F | 5 |
Settings | Load | (None) | (None) | F | 6 |
Settings | Make | (None) | (None) | F | 7 |
Settings | Edit | Shift | (None) | F | 7 |
Figure | Make | (None) | (None) | F | 8 |
Options | Message Window | (None) | (None) | F | 9 |
Options | Validation of Distances | Ctrl | (None) | F | 9 |
Options | Input | Shift | (None) | F | 9 |
Option | Solution | Alt | None | F | 9 |
Log | cLose | (None) | (None) | F | 10 |
Log | Resume | Alt | (None) | F | 10 |
Log | Create | Ctrl | (None) | F | 10 |
Log | Suspend | Shift | (None) | F | 10 |
Help | Batch Input from PDF | (None) | (None) | F | 11 |
Help | Search PDF | Shift | (None) | F | 11 |
Comment | Add | (None) | (None) | F | 12 |

Created with the Personal Edition of HelpNDoc: Create iPhone web-based documentation

Copyright © <Dates> by <Authors>. All Rights Reserved.


Hot Key within the Message Window

The Traveling Salesman Problem ›› Usage ›› Menu System ›› Help Menu ››

Hot key | Action
ctrl+A | select all
ctrl+alt+R | duplicate selection
ctrl+L | change selection to lower case
ctrl+shift+L | delete line
ctrl+shift+left | extend word selection to left
ctrl+shift+right | extend word selection to right
ctrl+shift+T | transpose line
ctrl+shift+U | change selection to upper case
ctrl+T | copy line
ctrl+U | change selection to lower case
ctrl+V | paste
ctrl+Y | redo
ctrl+Z | undo

Created with the Personal Edition of HelpNDoc: Free HTML Help documentation generator

Copyright © <Dates> by <Authors>. All Rights Reserved.


"Menu System" Menu Item

The Traveling Salesman Problem ›› Usage ›› Menu System ›› Help Menu ››

"Menu System" Menu Item

Previous Top Next

This menu item displays the table of menu system .

Created with the Personal Edition of HelpNDoc: Easily create iPhone documentation

Copyright © <Dates> by <Authors>. All Rights Reserved.


"About" Menu Item

The Traveling Salesman Problem ›› Usage ›› Menu System ›› Help Menu ››

"About" Menu Item

Previous Top Next

This menu item display the About dialog.

Created with the Personal Edition of HelpNDoc: Free EPub and documentation generator

Copyright © <Dates> by <Authors>. All Rights Reserved.


Window Menu Branch

The Traveling Salesman Problem ›› Usage ››

Window Menu Branch

Previous Top Next

The window menu contains the fixed message window and the currently open child windows of the Task Window of the program. The example shows cascaded report windows.

Its fixed menu items do not need special explanations.

• Tile Vertically(result is on the picture below)

  • Tile Horizontally

• Cascade (result is on the above picture),

• Arrange Icons.

Its variable items are the numbered child windows.

The Menu Branch has a submenu if Report windows are present.

The user can selectively destroy these windows.

Created with the Personal Edition of HelpNDoc: Generate Kindle eBooks with ease


Destroy Submenu and Its Items

The Traveling Salesman Problem ›› Usage ›› Window Menu Branch ››

Destroy Submenu and its Items

Previous Top Next

The user can selective destroy of the report windows .

The first step is the mode of filtering.

The second step asks for a keyword of the selection.

Created with the Personal Edition of HelpNDoc: Free HTML Help documentation generator


Dialogs

The Traveling Salesman Problem ›› Usage ››

Dialogs

Previous Top Next

This chapter describes the dialogs of the manual data entry.

Created with the Personal Edition of HelpNDoc: Easily create PDF Help documents


Comment Dialog

The Traveling Salesman Problem ›› Usage ›› Dialogs ››

Comment Dialog

Previous Top Next

The Comment dialog asks for a comment line. The confirmed comment is copied to the log file.

Validation:

1. The comment must not be blank.

2. The comment is trimmed.

3. The internal repeated spaces are replaced with a single space.
The comment " a b c d " is transformed to "a b c d" .

Created with the Personal Edition of HelpNDoc: Generate Kindle eBooks with ease


Dialogs Called from Menu Branch Options

The Traveling Salesman Problem ›› Usage ›› Dialogs ››

Dialogs Called from Menu Branch Options

Previous Top Next

This menu branch contains four menu items.

Options for

1. Validation of Distances

2. Input

3. Message Window

4. Solution .

Created with the Personal Edition of HelpNDoc: Write EPub books for the iPad

Copyright © <Dates> by <Authors>. All Rights Reserved.


Options for the Main Message Window

The Traveling Salesman Problem ›› Usage ›› Dialogs ›› Dialogs Called from Menu Branch Options ››

Options for the Main Message Window

Previous Top Next

This dialog asks for the font of the main message window.

The [Font] button calls the font selection dialog in the user's language. The selected The font must have fixed with. Proportional fonts are refused.

The user can check a box in order to save the list of the available monospace fonts on exit as Data\monospace.fnts file.

The another check box controls for the automatic saving of the message window on exit as a HTML file Data\run150912154548msg.html. The file name contains a timestamp.

Some other options for the main message window are read by the Load Settings menu item , as *.savl files and they can be edit using the TestDraw program.

The TestDraw program has a dialog to enter the location of the message window within the client area of the application window. It can be called from the Compose menu branch. It makes a file containing the saved locations of the message windows. The declaration of its data structure of the displacement from the frames in Visual Prolog language is listed below.

domains

displacement = d(integer Fixed, rectPlus::between_01 Proportional).

displacement_list = displacement*.

location= l (positive Max_Num_Lines, displacement Left, displacement Top, displacement Right, displacement Bottom).

The contents of the *.savl files look like this. Its first non-empty non comment line must be clauses. It contains terms followed by opening parentheses and fields separated by commas. The fields may be simple ot the itself can contain terms. Each fact has to be terminated by a full stop after the last closing parenthesis. The insertion of blank lies and comments between % and newline characters or between /* and */ are permitted.

clauses

compose(p("Settings","Options","Messages","Location"),l(1000,d(1,0),d(1,0.75),d(1,0),d(1,0))).

compose(p("Tests","Figures","Messages","Location"),l(1000,d(5,0.75),d(1,0),d(3,0),d(1,0))).

The essence of dialog.

Legend:

Created with the Personal Edition of HelpNDoc: Easily create iPhone documentation


Input Options

The Traveling Salesman Problem ›› Usage ›› Dialogs ›› Dialogs Called from Menu Branch Options ››

Input Options Dialog

Previous Top Next

The Input Options dialog contains only one radiobutton-group where the user can preset the behavior of the program when an unfinished section is found at the end of an input file. The effect of the choices is described in the help page about the calling menu item .

This dialog contains the usual buttons.

• [OK] stores the choice.

• [Cancel] destroys the dialog with abandoned selection.

• [Help] displays this page of the CHM help file.

The dialog provides the following tooltips:

Control | Type | Tooltip "Title of bubble", "Text of bubble"
At end.... | group box | "Handling of pending data packets", "Select performed action at end of input files."
Automatically | radiobutton | "Add FINISH command", "automatically."
Upon request | radiobutton | "Add FINISH command", "upon request."
Never | radiobutton | "Never", "Add FINISH command.
After a rejected command | group box | "Handling of rejected command", "Select workaround."
Next command line | radiobutton | "Continue parsing", "with the next command line."
Next data packet | radiobutton | "Continue parsing", "with the next data packet."
Calling input file | radiobutton | "Continue parsing", "with the calling input data file.
Handling of long real values | group box | "Handling of long real values", "in the interactive real fields.
Shorten the value using | radiobutton | "Shortening", "using a general format.
Discard the real value | radiobutton | "Discard", "them."
OK | button | Ok button", "This button invokes the validation of the fields of the dialog, then the storage of the entered data, it finally closes the dialog."
Cancel | button | "Cancel button", "Click on this button in order to destroy this form."
Help | button | "Help button", "If you click on this button then then you get the help file opened at the chapter belonging this form."

Created with the Personal Edition of HelpNDoc: Write EPub books for the iPad


Options for the Calculation and Validation of the Distances

The Traveling Salesman Problem ›› Usage ›› Dialogs ›› Dialogs Called from Menu Branch Options ››

Options for the Calculation and Validation of the Distances

Previous Top Next

The first dialog selects the number of dimensions and the coordinate system. The second dialog is one of the four similar dialogs. The user has to confirm them using its [OK] button.

The above dialogs have common validation rules:

Explanation of the fields:

Group | Field | Explanation | Validation rules
Coordinates | Number of dimensions | The dialog collects data for such place sets | This is a read-only field.
 | Coordinate system |  | This is a read-only field.
Distance settings | Method of calculation | of distances | Select one from list box.
 | Radial correction | of distances by the radial distance | Select one from list box in case of three-dimensional spherical coordinates.
 | Valid minimum | of distances of any pairs of places | Greater or equal than 1 km.
 | Valid maximum | of distances of any pairs of places | Greater or equal than 1 km.
 | Ratio of too far places | Count of too far places/ (count of places-1) | Between 0.75 and 1.
 | 1/2 Equator [km] | This field shows an auxiliary data for valid maximum of distances on a sphere calculated by great-circle method. | This is a read-only field visible only for spherical coordinates-
Perform check when | places are added | The coordinates of the recently added and replaced places are checked during the dialog of Add Place and batch commands add place and replace place. | If the recently added or replaced place has a too near neighbor or it is far from too many places then its addition or replacement is discarded.
 | solution is started | The coordinates of all places are checked when the solution of the problem is started. | The invalid places are automatically discarded when the place set is copied in a new data set in the Make Place Set dialog or batch command.

Created with the Personal Edition of HelpNDoc: Free iPhone documentation generator


Solution Options

The Traveling Salesman Problem ›› Usage ›› Dialogs ›› Dialogs Called from Menu Branch Options ››

Solution Options Dialog

Previous Top Next

The full search for the possible routes results combinatoric explosion. The undo search in case of too few places may destroy the total previously found route.This dialog allows the user to trigger the number of places below the full search is allowed, and the number of places over which the undo search is allowed, respectively.

The asked integer fields have lower and upper limits.

Created with the Personal Edition of HelpNDoc: Full-featured EBook editor


Styles of Colored Reports

The Traveling Salesman Problem ›› Usage ›› Dialogs ›› Dialogs Called from Menu Branch Options ››

Colored Messages Form

Previous Top Next

This dialog serves for the style settings of the main message window and the report windows, in general for customization of all windows handled by the SciLexer package.

This dialog has a standalone version among the authors contributions. Here is a new link .

This dialog has not corresponding batch input commands.

Created with the Personal Edition of HelpNDoc: Produce electronic books easily


Filtering of the Style Set Files

The Traveling Salesman Problem ›› Usage ›› Dialogs ›› Dialogs Called from Menu Branch Options ›› Styles of Colored Reports ››

Filtering of the Style Set Files

Previous Top Next

The names of style set files is made of their statistics of they were written by the Save command. The naming rules are under the file mask bookmark of the topic of loading. The user can use the content file mask or build an own.

The "Always" answer means: "Yes" and from now on always "yes", don't ask me any more.

The "Newer" answer means: "No" and from now on always "no", don't ask me any more.

The "Yes" and "Always" answer invokes six extended dialogs . The dialogs show the user's answer to all previous question. The file mask is built up step by step.

Created with the Personal Edition of HelpNDoc: Easily create Help documents


Messages of the "Colored Messages" Form

The Traveling Salesman Problem ›› Usage ›› Dialogs ›› Dialogs Called from Menu Branch Options ›› Styles of Colored Reports ››

Messages of the "Colored Messages" Form

Previous Top Next

The page shows the messages sent from the "Colored Messages" form to the main message window. These messages can be saved as HTML files with a slight information loss .

Created with the Personal Edition of HelpNDoc: Create HTML Help, DOC, PDF and print manuals from 1 single source

Copyright © <Dates> by <Authors>. All Rights Reserved.


Generated Batch Commands

The Traveling Salesman Problem ›› Usage ›› Dialogs ›› Dialogs Called from Menu Branch Options ›› Styles of Colored Reports ››

Batch Commands Generated by the "Colored Messages" Form

Previous Top Next

This page shows the batch commands generated by "Colored Messages" form, making a a data packet STYLES as part of batch input file in order to reproduce the user's interactive data entry.

A)

<VERB ><OBJECT ><STYLES_FILE

load styles a2.xmp34553

<VERB ><OBJECT >

finish styles

B)

<VERB ><OBJECT ><STYLES_FILE

reset defaults

<VERB ><OBJECT >

finish styles

Created with the Personal Edition of HelpNDoc: Easily create Web Help sites


Process of the Interactive Handling of the Style Settings

The Traveling Salesman Problem ›› Usage ›› Dialogs ›› Dialogs Called from Menu Branch Options ›› Styles of Colored Reports ››

Process of the Interactive Handling of the Style Settings

Previous Top Next

This page shows full and partial screen samples of the interactive handling of the message style withing the "Colored Messages" form.

Step #1: Initial state of the dialog

Step #2:Load existing styles

If you check the Filter box in the form and click the [Load from] button then you get the following dialog where you have

to press the buttons on its right side in order to build up the filter based on the prompts appearing on the right one by one.

If you do not check the Filter box then all files appear in the next file selection dialog.

File selection:

Step #3: Lookout after loading the selected style settings file

Step #4A: Reset default styles

Press the [Reset Defaults] button.

Step #4B: Delete selected style

Select a style from the upper list box and press the [Delete] button.

Step #4C: Select edited style

Select edited style from the upper list box and press the [Modify] button.

Step #5A: Modification of the selected style

The properties of the edited style appear in the frame below the list box.

You can change the properties using buttons, text and numeric input fields.

Modification of colors:

The components of the colors can be changed

  1. by the color dialogs invoked by the [Fore] and [Back] button,
  2. directly entering their red, blue and green components,
  3. using the [Invert Foreground], [Invert Background] and the [Swap] buttons, respectively.

Step #5B: Insert a new style

If you change the number and symbol of a style then the new style can be inserted by clicking the

[Insert] button.

Step #6: Modifications of the letters

The Letters group box contains the font styles and the sample texts written in a standard fort and in the

font selected by the user. The size and the ornamentation of the text can be set there directly and by the [Font]

button.

Step #7: Replace style in the menu by its modified state

All above changes have be stored in the temporary storage of the form by the [Replace] button.

Step #8: Summarize Scilex style set

The style set can be saved for future usage only if it is validated and summarized by the

[Summarize] button. The validation needs your decision.

This step enables the next two steps.

Step #9: Apply all changes

The style set can be shown on the right side using the[Apply all] button.

Step #10: Save changes

The style set can be saved for future usage by the[Save as] button.

Step #11: Destroy form

The [Finish] button closes the form and appends a STYLES data packet to the log file. See Generated Batch Commands .

Created with the Personal Edition of HelpNDoc: Free HTML Help documentation generator


Extended Dialogs

The Traveling Salesman Problem ›› Usage ›› Dialogs ›› Dialogs Called from Menu Branch Options ›› Styles of Colored Reports ››

Extended Dialogs

Previous Top Next

This package contains only one class, named ExtendedCommonDialogs. It has only one predicate, the extension of the ask dialog .

predicates

% Ask with more than 3 answers.

ask : (string Title, string Prompt, string* ButtonTitlesList, integer Default) -> integer Answer.

This dialog differs from the common ask dialog not only in the allowed number of buttons but the height of the dialog and the left prompt field grows with the number of the buttons. It has not close [x] box on the title bar.

Created with the Personal Edition of HelpNDoc: News and information about help authoring tools and software


Explanations of the Controls

The Traveling Salesman Problem ›› Usage ›› Dialogs ›› Dialogs Called from Menu Branch Options ›› Styles of Colored Reports ››

Explanations of the Controls

Previous Top Next

The dialog has the following controls:

Control | Type | Tooltip "Title" "Text"
 |  | Further explanation
Change styles | group box | "Box of style changes", "This box contains the changeable properties of the styles."),
Filter | check box | "Switch on/off filters for loaded files."
Validate | check box | "Switch on/off validation and correction of loaded styles."
Load | button | "Load button", "Click on this button in order to load the style settings from an external file."
Load | read-only edit | "Shortened name of the last loaded external file (read only)."
Known Styles | static text | "Header of known styles", "This text field contains the short names of the fields of the style facts."),
 |  | The short names of the properties of the styles are separated by "|" characters.
Identifiers | list box | "Properties of the known styles", "Select the style to be modified or to be deleted (single selection)."
 |  | The properties of the styles are separated by "|" characters.
Modify | button | "Modify button", "Click on this button in order to copy the properties of the above known selected style to the properties of the currently selected style."
Reset Defaults | button | "Reset Defaults button", "Click on this button in order to reset the defaults of all style settings."
Delete | button | "Delete button", "Click on this button in order to delete the style setting selected in the wide listbox."
Properties of the currently edited style | group box | ---
Number | integer | "Numeric identifier of the edited style."
Symbol | edit | "Symbolic identifier of the edited style."

The identifiers of the required styles

Constant | Number | Symbol
style_plain | 32 | plain
style_default | 32 | default
style_title | 1 | title
style_table_header | 2 | table header
style_table_body | 3 | table body
style_table_footer | 4 | table footer
style_name_and_value | 5 | name and value
style_error | 6 | error
style_warning | 7 | warning

Controls serving for color handling of a single style:

Control | Type | Tooltip "Title" "Text"
 |  | Further explanation
Colors | group box | Color components and color handling buttons of the currently edited style
Foreground | button | "Foreground Color button", "Click on this button in order to set the foreground color of the edited style using the common color dialog."
Foreground red | integer | "Weight of the red component in the foreground color."
Foreground green | integer | "Weight of the green component in the foreground color."
Foreground blue | integer | "Weight of the blue component in the foreground color."
Invert Foreground | button | "Invert Foreground Color button", "Click on this button in order to invert the weights of all components of the foreground."
Background | button | "Background Color button", "Click on this button in order to set the background color of the edited style using the common color dialog."
Background red | integer | "Weight of the red component in the background color."
Background green | integer | "Weight of the green component in the background color."
Background blue | integer | "Weight of the blue component in the background color."
Invert Background | button | "Invert Background Color button", "Click on this button in order to invert the weights of all components of the background."
Swap | button | "Swap Colors button", "Click on this button in order to swap the foreground and background colors of the edited style."

Controls serving for font handling of a single style:

Control | Type | Tooltip "Title" "Text"
Letter | group box | Container of controls handling the font related properties of the currently edited style
Font | button | "Font Selection button", "Click on this button in order to set the font of the edited style using the common font dialog."
Font name | read-only edit | "Name of the selected font (read only)."
Font height | integer | "This integer field contains the font size."
Script system name | read-only edit | "Name of the selected script system (read only)."
Script system code | read-only integer | "Code of the selected script system (read only)."
Class | read-only edit | "Class of the selected font (read only)."
 |  | monospace | proportional
Ornamentation | set of check boxes |
Is italic | check box | "Mark this check box if you want italic text in the edited style."
Is bold | check box | "Mark this check box if you want bold text in the edited style."
Is underlined | check box | "Mark this check box if you want underlined text in the edited style."
Sample text | pair of edit controls | The modification of any of them is reflected in the other.
shown by the font of the dialog | edit control | "Enter a test string to check its appearance below. This edit field uses the common font of the dialog."
 |  | Enter very similar characters, very narrow and very wide letters.
shown by the above selected font | edit control | "Wysiwyg Text Sample field", "The user can see in this read only field the above entered text in the selected font but in the standard font size of the dialog."

The read-only controls get their value from the common font selection dialog called by the font button.

Storing the changes of the individual styles:

Control | Type | Tooltip "Title" "Text"
Replace | button | "Replace button", "Click on this button in order to replace the internally stored state of the edited style with the properties of the edited style."
Insert | button | Insert button", "Click on this button in order to insert the properties of the edited style to the internally stored styles."
Status | read-only edit | "Status of the edited style."

These buttons save the changes in the internal memory of the form. These changes must be saved for future and applied for current runs in the next group of buttons.

Storing the changes of the individual styles:

Control | Type | Tooltip "Title" "Text"
Replace | button | "Replace button", "Click on this button in order to replace the internally stored state of the edited style with the properties of the edited style."
Insert | button | Insert button", "Click on this button in order to insert the properties of the edited style to the internally stored styles."
Status | read-only edit | "Status of the edited style."

Controls serving for font handling of more styles:

This group of buttons provides the generation of styles slightly different from a parent style.

The user can select the copied properties and the target style using extended multiple selection.

Control | Type | Tooltip "Title" "Text"
Copied properties | list box | "Copied Properties list box", "Select the copied properties of the currently edited style (multiple selection)."
Copy to Styles | list box | "Copy to Styles list box", "Select the target styles where the selected properties will be copied (multiple selection)."
Copy to Selected | button | "Copy to Selected Styles button", "Click on this button in order to copy of selected properties of the edited style to the selected styles."
All Other | button | "Copy to All Other Styles button", "Click on this button in order to copy of selected properties of the edited style to all other styles."

Validation, application and saving all styles:

Control | Type | Tooltip "Title" "Text"
Summarize | button | "Summarize button", "Click on this button to make statistics of the internally stored styles in the big right rectangle. Only summarized changes can be saved and confirmed."
Apply | button | "Apply All button", "This button applies the style settings to the big scilex control on the right side of the form. The button is enabled only if the Summarize button has been pressed."
Save as | button | "Save button", "Click on this button in order to save the style settings to an external file."
Saved name | read-only edit | "Shortened name of the last saved external file (read only)."
Overall state | read-only edit | "Overall state of the style set."
Finish | button | Finish", "This button Finishes the gathering of the data then it finally closes the dialog."
Help | button | "Help button", "If you click on this button then then you get the help file opened at the chapter belonging this form."

Inspect the result:

The big right modified SciLexer control shows all styles in a big sample table.

Control | Type | Tooltip "Title" "Text"
Scilexer | multi-line fancy edit field | "Test field for inspecting the applied style changes."

Created with the Personal Edition of HelpNDoc: Easy to use tool to create HTML Help files and Help web sites


Dialogs Called from Menu Branch Place Sets

The Traveling Salesman Problem ›› Usage ›› Dialogs ››

Dialogs Called from Menu Branch Place Sets

Previous Top Next

These dialogs make the following transaction on the place sets:

I. Defining place sets, and set their global properties. Selection of an existing place set or start from empty state.

A) Making a new place set based on this selection.

B) Editing the selected place set.

II. Populating them with places.

A) Add new places.

B) Delete places.

C) Replace places.

III. Validation of places.

A) Discard too near places because of suspected duplication.

B) Discard outsiders because of suspected typos in their coordinates.

Created with the Personal Edition of HelpNDoc: Free Web Help generator

Copyright © <Dates> by <Authors>. All Rights Reserved.


Selection of Existing Place Set for a Given Purpose

The Traveling Salesman Problem ›› Usage ›› Dialogs ›› Dialogs Called from Menu Branch Place Sets ››

Selection of Existing Place Set for a Given Purpose

Previous Top Next

The existing place sets may be selected for

1. copying to a newly made place set ,

2. editing ,

3. reporting .

Created with the Personal Edition of HelpNDoc: Single source CHM, PDF, DOC and HTML Help creation


Copied Place Set

The Traveling Salesman Problem ›› Usage ›› Dialogs ›› Dialogs Called from Menu Branch Place Sets ›› Selection of Existing Place Set for a Given Purpose ››

Copied Place Set

Previous Top Next

The copied place set can be selected from those ones which have at least one place and have the same number of dimensions and coordinate system.

The invalid places marked during the solution of the copied place set won't be copied into the newly made place set.

Buttons:

  1. The [OK] button creates a new place set filled by the places of the selected existing set and having the same number of dimensions and coordinate system and opens the next step of the sequence of the dialogs.
  2. The [Empty] button serves for creating the new place set with 0 places and allows the user the creation of a new place set form scratch.
  3. The [Cancel] button closes this dialog and does not continue the sequence.
  4. The [Help] shows this help topic

Special case:

When no choices are available for the given coordinate system and number of dimensions then

  • the following message appears and the above dialog allows only the [Empty] button and the [OK] button is disabled and
  • the above list boxes do not offer choices when no place set is available for for copying.

Created with the Personal Edition of HelpNDoc: Full-featured Documentation generator


Edited Place Set

The Traveling Salesman Problem ›› Usage ›› Dialogs ›› Dialogs Called from Menu Branch Place Sets ›› Selection of Existing Place Set for a Given Purpose ››

Edited Place Set

Previous Top Next

The edited place set can be selected from those ones which have not referenced in solutions.

The [OK] button opens the select place set for deletion, addition and replacement of places .

The [Undo] button moves the selection to the first editable place set.

The [Help] button shows this help page.

The [Cancel] button destroys this dialog without sleection of place set.

Created with the Personal Edition of HelpNDoc: Generate Kindle eBooks with ease

Copyright © <Dates> by <Authors>. All Rights Reserved.


Make Place Set

The Traveling Salesman Problem ›› Usage ›› Dialogs ›› Dialogs Called from Menu Branch Place Sets ››

Make Place Set

Previous Top Next

The global properties of new place sets are asked in this dialog. Some of them can be edited later, other are fixed during the life time of the defined instance.The handling of the individual places is in the Add Place dialog .

The made title is the fixed identifier of the place set. The label can be edited later. The two-dimensional spherical place sets have one more lifetime fixed property: the common radius whose default value is the mean radius of the Earth = 6371 km.

Created with the Personal Edition of HelpNDoc: Create iPhone web-based documentation

Copyright © <Dates> by <Authors>. All Rights Reserved.


Edit Place Set

The Traveling Salesman Problem ›› Usage ›› Dialogs ›› Dialogs Called from Menu Branch Place Sets ››

Edit Place Set

Previous Top Next

This dialog serves for correcting the editable properties of the place sets.

The handling of he individual places is in a subordinate dialog .

This dialog has four appearances:

1. For two dimensional place sets given in Cartesian coordinates

2. For three dimensional place sets given in Cartesian coordinates

3. For two dimensional place sets given in spherical coordinates

4. For three dimensional place sets given in spherical coordinates

Buttons:

[OK] Validates and stores the label. If the label is valid then the subsequent dialog is the Add Place dialog.

[Cancel] Abandons the edition.

[Help] Displays this help topic.

[Undo] Resets the default common radius for two dimensional spherical place sets.

Created with the Personal Edition of HelpNDoc: Create HTML Help, DOC, PDF and print manuals from 1 single source

Copyright © <Dates> by <Authors>. All Rights Reserved.


Add Place

The Traveling Salesman Problem ›› Usage ›› Dialogs ›› Dialogs Called from Menu Branch Place Sets ››

Add Place Dialog

Previous Top Next

The top of the dialog does not depend on the coordinate system.

The middle of the dialog consists of 3 or 4 synchronized list boxes. The first one shows the identifiers of the existing places, the other shows their coordinates. This example shows the case of two dimensional Cartesian coordinates.

The selected place can be edited or deleted by the proper buttons.

Both buttons copy the properties of the selected place to the next stripe which has same number of fields as the count of the synchronize list boxes.

The edited place can replace the old one if its name has not changed.

It can be inserted into the place set if its name differs from all other name in the place set.

If you want later to solve the problem step-by-step using subsets of the place sets the begin the place sets belonging to the same subsets with the same letter.

Clicking on buttons on the button of the dialog invokes validation of the name and coordinates. If all they are valid the proper transaction is executed. The name of the edited place must not be whitespace and must be at most 12 characters long after trimming.

Coordinate | Unit | Individual validation rules of the coordinates
X, Y and Z | km | Any real number in the range of their Visual Prolog representation.
Latitude | degrees | Between -90° and +90°.
Longitude | degrees | Between -180° and +1800°.
Radial distance | km | Any non-negative real number in the range of their Visual Prolog representation.

Validation of the place set as a whole

check box of the Options for the Calculation and Validation of Distances dialog for the coordinate system of the place set is checked then the coordinates of the edited place are compared with the other places of the set. If this check does not refuse the coordinates then the edited place may be added to the set or replace the place having the same name, respectively.

Button | Condition | Transaction
[Add] | The new name is valid and does not exist in the map of the places and the coordinates of the edited place are valid, too. | The edited place is added to the data set.
[Replace] | The new name is valid and exists in the map of the places and the coordinates of the edited place are valid, too. | The edited place is replaced in the data set.
[Finish] | --- | The dialog is destroyed.
[Help] | --- | This help page is displayed.

Special cases:

Add places to three-dimensional Cartesian place sets

Add places to two-dimensional spherical place sets - Rejected longitude

Add places to two-dimensional spherical place sets - Rejected latitude

Add places to three-dimensional spherical place sets - Invalid negative radius

Created with the Personal Edition of HelpNDoc: Easily create EPub books


Available Conversions of Place Sets

The Traveling Salesman Problem ›› Usage ›› Dialogs ›› Dialogs Called from Menu Branch Place Sets ››

Available Conversions of Place Sets

Previous Top Next

This dialog shows the available conversions and the ones executed in the current run.

The user has to select original and final dimensions from the upper list box and confirm his/her selection by the [OK] button. The conversion may require more data. They are asked in the subsequent dialog named Convert Place Set .

The lower list box shows the executed conversions.

The program display an error messages if the user try the same conversion as before.

The program selects the available conversions based on the rules in the following table.

Created with the Personal Edition of HelpNDoc: Full-featured EPub generator


Convert Place Set

The Traveling Salesman Problem ›› Usage ›› Dialogs ›› Dialogs Called from Menu Branch Place Sets ››

Convert Place Set

Previous Top Next

This dialog asks for the missing parameters of the conversion depending on the original and final number of dimensions and coordinate system

  1. Conversion from two-dimensional Cartesian coordinates to three-dimensional Cartesian coordinates

This conversion requires a filled axis and the filled value. The filled axis determines the new coordinate which is filled by the same value in all places of the set.

  2. Conversion from three-dimensional Cartesian coordinates to two-dimensional Cartesian coordinates

This case needs an omitted axis.

  3. Conversion from three-dimensional Cartesian coordinates to three-dimensional spherical coordinates

This conversion does not need either specification of the omitted nor the filled axis.

  4. Conversion from two-dimensional spherical coordinates to three-dimensional Cartesian coordinates

This conversion does not need either specification of the omitted nor the filled axis because the common radius is a known property of the two-dimensional spherical data sets.

  5. Conversion from two-dimensional spherical coordinates to three-dimensional spherical coordinates

This conversion does not need either specification of the omitted nor the filled axis.

  6. Conversion from three-dimensional spherical coordinates to two-dimensional spherical coordinates

The new common radius is asked.

  7. Conversion from three-dimensional spherical coordinates to three-dimensional Cartesian coordinates

This conversion does not need either specification of the omitted nor the filled axis.

--------------------------------------------------------------------------------

This dialog allows the execution of more conversions.

The [Perform] button

  1. validates the entered parameters and
  • in case of invalid parameters sends an error notification like
  • but in case of valid parameters
  2. it executes the conversion;
  3. finally it appends an item to the list box of the executed conversions.

The [No more] button closes the dialog.

The [Help] button shows this help topic.

The result shall be edited by the Edit Place Set Menu Item because the values of the new axis are the same for all places.

Created with the Personal Edition of HelpNDoc: Easily create Help documents


Dialogs Called from Menu Branch Plan and Solution

The Traveling Salesman Problem ›› Usage ›› Dialogs ››

Dialogs Called from Menu Branch Plan and Solution

Previous Top Next

Created with the Personal Edition of HelpNDoc: Single source CHM, PDF, DOC and HTML Help creation


Selection of Kind of Search

The Traveling Salesman Problem ›› Usage ›› Dialogs ›› Dialogs Called from Menu Branch Plan and Solution ››

Selection of Kind of Search

Previous Top Next

The kind of search may be

1. full,

2. greedy and

3. undo.

The selected kind narrows the choice of plans available for copying and editing, respectively. It modifies the available transactions.

Created with the Personal Edition of HelpNDoc: Write EPub books for the iPad


Selection of Existing Plan for a Given Search

The Traveling Salesman Problem ›› Usage ›› Dialogs ›› Dialogs Called from Menu Branch Plan and Solution ››

Selection of Existing Plan for a Given Purpose

Previous Top Next

The existing plan may be selected for

• using as initial state of a new plan,

• editing,

• executed in a solution on a place set

• as primary plan used in a solution from scratch

• as secondary plan used in a continued solution.

Created with the Personal Edition of HelpNDoc: Full-featured EBook editor

Copyright © <Dates> by <Authors>. All Rights Reserved.


Copied Plan

The Traveling Salesman Problem ›› Usage ›› Dialogs ›› Dialogs Called from Menu Branch Plan and Solution ›› Selection of Existing Plan for a Given Search ››

Copied Plan

Previous Top Next

The new plans can be started in empty state or with contents copied from an earlier defined plan.

.

The changes of selections in the list boxes are synchronized. The index of the selected item is the same in all list boxes.

Created with the Personal Edition of HelpNDoc: Easily create CHM Help documents

Copyright © <Dates> by <Authors>. All Rights Reserved.


Edited Plan

The Traveling Salesman Problem ›› Usage ›› Dialogs ›› Dialogs Called from Menu Branch Plan and Solution ›› Selection of Existing Plan for a Given Search ››

Edited Plan

Previous Top Next

The user can select edited plan with the shown dialog.

The changes of selections in the list boxes are synchronized. The index of the selected item is the same in all list boxes.

Created with the Personal Edition of HelpNDoc: Produce electronic books easily

Copyright © <Dates> by <Authors>. All Rights Reserved.


Executed Plan

The Traveling Salesman Problem ›› Usage ›› Dialogs ›› Dialogs Called from Menu Branch Plan and Solution ›› Selection of Existing Plan for a Given Search ››

Executed Plan

Previous Top Next

The plans executed in a solution on a place set may be

· primary plans used in a solution from scratch

· secondary plans used in a continued solution.

The changes of selections in the list boxes are synchronized. The index of the selected item is the same in all list boxes.

Created with the Personal Edition of HelpNDoc: Easily create CHM Help documents

Copyright © <Dates> by <Authors>. All Rights Reserved.


Make Plan

The Traveling Salesman Problem ›› Usage ›› Dialogs ›› Dialogs Called from Menu Branch Plan and Solution ››

Make Plan

Previous Top Next

The user can fill in the properties of the plan using these dialogs.

The first one asks for the identifier and the label, and performs their usual validation.

The second asks for the allowed number of transactions depending on the selected kind of search.

Created with the Personal Edition of HelpNDoc: Full-featured Kindle eBooks generator

Copyright © <Dates> by <Authors>. All Rights Reserved.


Edit Plan

The Traveling Salesman Problem ›› Usage ›› Dialogs ›› Dialogs Called from Menu Branch Plan and Solution ››

Edit Plan

Previous Top Next

The user can fill in the properties of the plan using these dialogs.

The selected identifier is read-only, only the label can be edited. The OK button invokes the usual normalization and validation of the labels.

The second asks for the allowed number of transactions depending on the selected kind of search.

Created with the Personal Edition of HelpNDoc: Full-featured Documentation generator

Copyright © <Dates> by <Authors>. All Rights Reserved.


Allow Transactions

The Traveling Salesman Problem ›› Usage ›› Dialogs ›› Dialogs Called from Menu Branch Plan and Solution ››

Allow Transactions

Previous Top Next

The user can fill in the number of allowed transactions in this dialog.

The identifier and the label are inherited from the previous dialog. The transaction names are read only. They depend on the kind of search.The FORMULA field must contain a valid arithmetic expression consisting of the following tokens. The possibility of using the p variable meaning the count of places provides the reference of the same plan in more solutions. The length of the formula is at most 36 characters.

Tokens | Contents | Type | Value set
CONSTANT | Sequence of decimal digits | token | N (integer number)
VARIABLE | The count of places of the set | symbol | {„p”}
OPERATOR | Infix, having two arguments | token or character | {„+”, „-”, „*”, „^”, „mod”, „div”} (The "/" operator is rejected.)
 | Unary |  | {„+”, „-”}
FUNCTION | N ? N with one argument (result rounded down) | token | {„sqrt”, „lg” }
PARENTHESIS | Opening and closing parentheses | symbol | {„(”, „)” }

The allowed count of non-repeatable transactions may be 0 or 1. The validation process of the Finish button warns the user which transaction are not allowed.

Created with the Personal Edition of HelpNDoc: Free help authoring environment

Copyright © <Dates> by <Authors>. All Rights Reserved.


Dialogs Called from Menu Branch Solution

The Traveling Salesman Problem ›› Usage ›› Dialogs ››

Dialogs Called from Menu Branch Solution

Previous Top Next

Created with the Personal Edition of HelpNDoc: iPhone web sites made easy


Kind of Search

The Traveling Salesman Problem ›› Usage ›› Dialogs ›› Dialogs Called from Menu Branch Solution ››

Kind of Search

Previous Top Next

The kind of search is asked at first because its selection excluded some place sets from the selection of the solvable place set. * The kind primary search can be full of greedy.

The kind of the the secondary search can be greedy or undo. Its selection helps to narrow the list of selectable solved place sets .

* See dialog of Solution Options .

Created with the Personal Edition of HelpNDoc: Free Kindle producer

Copyright © <Dates> by <Authors>. All Rights Reserved.


Solvable Place Set

The Traveling Salesman Problem ›› Usage ›› Dialogs ›› Dialogs Called from Menu Branch Solution ››

Solvable Place Set

Previous Top Next

This dialog shows the available selection in synchronized list boxes.

Created with the Personal Edition of HelpNDoc: Generate Kindle eBooks with ease

Copyright © <Dates> by <Authors>. All Rights Reserved.


Solved Place Set

The Traveling Salesman Problem ›› Usage ›› Dialogs ›› Dialogs Called from Menu Branch Solution ››

Solved Place Set

Previous Top Next

This dialog shows the available selection in synchronized list boxes.

Created with the Personal Edition of HelpNDoc: iPhone web sites made easy

Copyright © <Dates> by <Authors>. All Rights Reserved.


Used Plan

The Traveling Salesman Problem ›› Usage ›› Dialogs ›› Dialogs Called from Menu Branch Solution ››

Used Plan

Previous Top Next

This dialog shows the user-defined and read-in plans of the given kind of search . The identifiers, the symbols of the allowed transactions and the labels of the plans are shown in sychronized list boxes.

Created with the Personal Edition of HelpNDoc: Free HTML Help documentation generator

Copyright © <Dates> by <Authors>. All Rights Reserved.


Make Solution

The Traveling Salesman Problem ›› Usage ›› Dialogs ›› Dialogs Called from Menu Branch Solution ››

Make Solution Tabbed Dialog

Previous Top Next

The solutions can start from clean initial state and using the result of an earlier solution of the same place set.

The [Solve] button invokes the validation of all tab pages.

If they all contain valid data then then

  • the dialog appends a Solution data packet to the log file and
  • solves the problem.

The [Cancel] button destroys the dialog.

The [Help] button displays this page.

Created with the Personal Edition of HelpNDoc: Single source CHM, PDF, DOC and HTML Help creation


Tab Pages of the Make Solution Dialog

The Traveling Salesman Problem ›› Usage ›› Dialogs ›› Dialogs Called from Menu Branch Solution ›› Make Solution ››

Tab Pages of the Make Solution Dialog

Previous Top Next

Tab pages

Access

in case of primary solutions

secondary solutions

1

Read-only

Applied plan.

Applied plan.

2

Read-only

Solved place set.

Solved place set.

3

Read-only

Identifier and label of the primary solution.

Identifier and label of the primary solution.

4

Select+edit

Initial conditions

    1. beginning place,
    2. fixed edges,
    3. prohibited edges.

Initial conditions

    1. beginning place,
    2. fixed edges,
    3. prohibited edges.

5

Select

Part of place set taken in account.

Part of place set taken in account.

6

Select+edit

Type of solution:

    1. deterministic,
    2. randomized with a given smashing width.

Type of solution:

    1. deterministic,
    2. randomized with a given smashing width.

7

Select

The methods of calculation the distances.

8

Check+edit

The validation rules of the distances in order to discard too near and too far places.

9

Select

Base of solution

Created with the Personal Edition of HelpNDoc: Full-featured EBook editor


Solved Place Set

The Traveling Salesman Problem ›› Usage ›› Dialogs ›› Dialogs Called from Menu Branch Solution ›› Make Solution ›› Tab Pages of the Make Solution Dialog ››

Tab Page "Solved Place Set"

Previous Top Next

This is a read-only tab page of the "Make Solution_T" dialog. The user can see the properties of the solved place set in it.

This tab shows

  1. the identifier and
  2. the label of the place set;
  3. its number of dimensions:
    • two
    • three
  4. its coordinate system:
    • Cartesian
    • spherical;
  5. as well as the counts of its places.

This tab page has an own [Help] button showing this help topic.

Created with the Personal Edition of HelpNDoc: Free PDF documentation generator


Applied Plan

The Traveling Salesman Problem ›› Usage ›› Dialogs ›› Dialogs Called from Menu Branch Solution ›› Make Solution ›› Tab Pages of the Make Solution Dialog ››

Tab Page "Applied Plan"

Previous Top Next

This is a read-only tab page of the "Make Solution_T" dialog. The user can see the properties of the selected plan in it.

.

This tab shows

  1. the identifier and
  2. the label of the plan,
  3. its kind
    1. greedy
    2. undo
    3. full;
  4. the symbols and
  5. the formulae and
  6. repeat counts of transactions.

This tab page has an own [Help] button showing this help topic.

Created with the Personal Edition of HelpNDoc: Free EBook and documentation generator


New Identifier and Label

The Traveling Salesman Problem ›› Usage ›› Dialogs ›› Dialogs Called from Menu Branch Solution ›› Make Solution ›› Tab Pages of the Make Solution Dialog ››

Tab Page "New Identifier and Label"

Previous Top Next

This is an editable tab page of the "Make Solution_T" dialog. The user can edit here the identifier and the label of the new primary or secondary solution.

The default identifier and label of the solution is the concatenated label and identifier of the solved place set and the applied plan, separated by '~" characters, respectively. Their string length is usually too long even if the elimination of unnecessary spaces, so the [OK] button usually returns an invalidity message.

Default state:

Invalid identifier:

Invalid label:

The [OK] button validates the identifier and the label. Here are their accepted values:

The [Reset] button restores the default state of the tab page.

This tab page has an own [Help] button showing this help topic.

Created with the Personal Edition of HelpNDoc: Create iPhone web-based documentation


Calculation of Distances

The Traveling Salesman Problem ›› Usage ›› Dialogs ›› Dialogs Called from Menu Branch Solution ›› Make Solution ›› Tab Pages of the Make Solution Dialog ››

Tab Page "Calculation of Distances"

Previous Top Next

This tab page of the "Make Solution_T" dialog contains list boxes. It appears only in case of primary solutions. The user can select from the calculation and correction methods of the distances.

  • Eucledian,
  • Manhattan,
  • Great_circle.

Only those methods appear which are allowed for the given number of dimensions a coordinate system.

The [OK] button validates the selections.

The [Reset] button restores the default state of the tab page.

This tab page has an own [Help] button showing this help topic.

Created with the Personal Edition of HelpNDoc: Free EPub and documentation generator


Validation of Distances

The Traveling Salesman Problem ›› Usage ›› Dialogs ›› Dialogs Called from Menu Branch Solution ›› Make Solution ›› Tab Pages of the Make Solution Dialog ››

Tab Page "Validation of Distances"

Previous Top Next

This tab page of the "Make Solution_T" dialog contains list boxes. It appears only in case of primary solutions. The user enter the parameters of the validation of the distances. The entered values are applied for the the next place sets having the same number of dimensions and coordinate system. This tab page corresponds to the "Solution Options" dialog.

The above dialog shows refused options of the validation of the distances.

The above dialog shows accepted validation of distances.

If the distance of two places is smaller than the minimum value the the place is deleted prom the set.

The places who have distances from another places greater than the maximum are deleted only if the ratio of to big distances among all distances from the suspicious place is over the ratio of the far neighbors

The [OK] button validates the thresholds.

The [Reset] button restores the default state of the tab page.

This tab page has an own [Help] button showing this help topic.

Created with the Personal Edition of HelpNDoc: Free Web Help generator


Base of Solution

The Traveling Salesman Problem ›› Usage ›› Dialogs ›› Dialogs Called from Menu Branch Solution ›› Make Solution ›› Tab Pages of the Make Solution Dialog ››

Tab Page "Base of Solution"

Previous Top Next

This tab page of the "Make Solution_T" dialog contains synchronized list boxes. It appears only in case of secondary solutions.

The user can select a primary solution whose results are used in the secondary solution.

The [OK] button validates selection.

The [Reset] button restores the default state of the tab page.

This tab page has an own [Help] button showing this help topic.

Created with the Personal Edition of HelpNDoc: Free CHM Help documentation generator


Initial Conditions

The Traveling Salesman Problem ›› Usage ›› Dialogs ›› Dialogs Called from Menu Branch Solution ›› Make Solution ›› Tab Pages of the Make Solution Dialog ››

Tab Page "Initial Conditions"

Previous Top Next

This tab page of the "Make Solution_T" dialog contains list boxes.

The initial conditions may be:

  • A single place name from which the solution shall begin.
  • Zero or more fixed edges which must be joined before the start of the selected plan. These edges must not be cut by the transactions of this plan.
  • Zero or more prohibited edges which must be cut before the start of the selected plan. These edges must not be joined by the transactions of this plan.

The begin place name may be selected by a single selection. The fixed and prohibited edges may be given by selection of two places from the synchronized list boxes allowing extended selection.

The selections may be undone one by one or cleared. Only those place may be selected which are within the " Part of PlaceSet Taken in account " tab. They can be unset one-by one, too.

Confirmation of [Unset] edge.

The following screen shot shows an invalid specification of a fixed edge.

Created with the Personal Edition of HelpNDoc: Free Web Help generator


Part of Place Set Taken in Account

The Traveling Salesman Problem ›› Usage ›› Dialogs ›› Dialogs Called from Menu Branch Solution ›› Make Solution ›› Tab Pages of the Make Solution Dialog ››

Tab Page "Part of Place Set Taken in Account"

Previous Top Next

This tab page of the "Make Solution_T" dialog contains list boxes.

The defined subset may be:

  1. the whole place set or
  2. a subset of it defined by the first letter of the place names belonging to it.

This tab contains the radiobutton-group

A)

(o) Whole set

(o) Subset

and

B) The list box of first letters allowing multiple selections.

C) Buttons for quick change of the selected first letters.

[Select All]

[Select None]

[Invert Selection]

and the usual

[OK]

[Reset]

[Help]

buttons.

Created with the Personal Edition of HelpNDoc: Write EPub books for the iPad


Type of Solution

The Traveling Salesman Problem ›› Usage ›› Dialogs ›› Dialogs Called from Menu Branch Solution ›› Make Solution ›› Tab Pages of the Make Solution Dialog ››

Tab Page "Type of Solution"

Previous Top Next

This tab page of the "Make Solution_T" dialog contains a pair of radiobuttons a real field.

The deterministic solution needs 0 smashing width.

The randomized solution needs a smashing with between 0.001 and 10.0.

The tab page contains the and the usual

[OK]

[Reset]

[Help]

buttons.

Created with the Personal Edition of HelpNDoc: Full-featured Documentation generator


Dialogs Called from Menu Branch Report

The Traveling Salesman Problem ›› Usage ›› Dialogs ››

Dialogs Called from Menu Branch Report

Previous Top Next

The reports may be

  1. Simple or
  2. Comparative

They may be written to

  1. Disk or
  2. Screen

The reported tables can be

  1. Separated or
  2. Merged in the same file.

The sequence of the called dialogs depends on the kind of the report

  • Simple
  • Comparative

Created with the Personal Edition of HelpNDoc: Free EPub producer

Copyright © <Dates> by <Authors>. All Rights Reserved.


Make Simple Report

The Traveling Salesman Problem ›› Usage ›› Dialogs ›› Dialogs Called from Menu Branch Report ››

Make Simple Report Dialog

Previous Top Next

xx

The upper group box is a set of synchronized list boxes containing the available evaluated solutions.

The middle group box contains the automatically generated root of the report files. The first three character of the name of the requested table gives its extension in case of separated tables. The merged tables have "*.mrg" extension.

The

[Select All]

[Select None]

[Invert Selection]

buttons shorten the extended selection form the list box of Requested tables.

The reports can appear on the screen. They can be handled by the Window menu .

These windows are made by Scilex just like the main message window , so their contents can be commented and partially saved.

The tables can be separated and merged.

The

[OK]

[Cancel]

[Help]

buttons work as usual.

Created with the Personal Edition of HelpNDoc: Free CHM Help documentation generator


Select Tabulated Solution

The Traveling Salesman Problem ›› Usage ›› Dialogs ›› Dialogs Called from Menu Branch Report ›› Make Simple Report ››

Select Tabulated Solution

Previous Top Next

The first step is the selection of the tabulated solution from a list box.

The second step is the multiple selection of the requested tables.

This frame contain buttons enhancing the multiple selection

[Select All]

[Select None]

[Invert Selection].

The lowest group boxes are the Device and Split tables ones, containing radio buttons.

The dialog possesses the usual

[OK]

[Cancel]

[Help]

buttons.

Created with the Personal Edition of HelpNDoc: Full-featured Documentation generator


Make Comparative Report

The Traveling Salesman Problem ›› Usage ›› Dialogs ›› Dialogs Called from Menu Branch Report ››

Make Comparative Report Dialog

Previous Top Next

This dialog can be used not only for comparing report files saved to the disk but to comparing any kinds of files. It uses the WinMerge utility program.

The selection of exactly two files to be compared is made by common dialogs called from the TSP program.

The results of the comparison are shown by the WinMerge program like this.

WinMerge allows the saving the results of the comparison as a web page.

Created with the Personal Edition of HelpNDoc: Easily create PDF Help documents


Tabulate Results

The Traveling Salesman Problem ›› Usage ›› Dialogs ›› Dialogs Called from Menu Branch Report ››

Tabulate Results

Previous Top Next

The result may be tabulated to the screen and to disk files. The contents of the report windows can be commented and extracted to the user's own documents.

They have a Find and Replace popup dialog, too.

This screenshot shows tiled report windows.

Created with the Personal Edition of HelpNDoc: Full-featured EPub generator


Dialogs Called from Menu Branch Settings

The Traveling Salesman Problem ›› Usage ›› Dialogs ››

Dialogs Called from Menu Branch Settings

Previous Top Next

This menu item calls

1. common file selection dialog for indirect settings files,

2. the Load Settings dialog .

Created with the Personal Edition of HelpNDoc: Single source CHM, PDF, DOC and HTML Help creation

Copyright © <Dates> by <Authors>. All Rights Reserved.


Load Settings

The Traveling Salesman Problem ›› Usage ›› Dialogs ›› Dialogs Called from Menu Branch Settings ››

Load Settings

Previous Top Next

The setting are loaded based on their indirect files. Some of them are in the Data sub-folder of the program.

The user has to give an identifier and a label to the loaded instance of Settings.

Pressing the [Load] button the files belonging to the settings are consulted and validated. The user has to confirm several pop-up notes. The tabulated results are preserved in the Message Window. Two new list boxes appear on the bottom on the dialog: the visible scales and the visible elements.

The [Select] button serves for loading another settings. Settings can be loaded from the Exe subfolder of the TestDraw program, too.

Their check is performed as above pressing the [Load] button.

The [Help] button shows this chapter of the CHM help of the TSP program.

The dialog can be closed by [Exit] if the user does not want to load more settings.

Created with the Personal Edition of HelpNDoc: What is a Help Authoring tool?

Copyright © <Dates> by <Authors>. All Rights Reserved.


Called from Menu Branch View

The Traveling Salesman Problem ›› Usage ›› Dialogs ››

Dialogs Called from Menu Item View

Previous Top Next

The first step is the selection of the coordinate system.

The [Use] button confirms the selection and invokes the next dialog, namely the selection of the copied view, if exists. If such view which can be copied does not exist then only the [Empty] button of the following dialog drives the process ahead.

If a view for the selected coordinate system has been created in the same run of the TSP program then it can be selected from the synchronized list boxes and copied to the newly made view pressing the [OK] button.

Created with the Personal Edition of HelpNDoc: Generate EPub eBooks with ease


Selection of Existing View

The Traveling Salesman Problem ›› Usage ›› Dialogs ›› Called from Menu Branch View ››

Selection of Existing Place Set for a Given Purpose

Previous Top Next

The existing place sets may be selected for

1. copying to a newly made place set ,

2. editing ,

3. reporting .

Created with the Personal Edition of HelpNDoc: Easily create HTML Help documents


Copied View

The Traveling Salesman Problem ›› Usage ›› Dialogs ›› Called from Menu Branch View ›› Selection of Existing View ››

Copied View

Previous Top Next

If a view for the selected coordinate system has been created in the same run of the TSP program then it can be selected from the synchronized list boxes and copied to the newly made view pressing the [OK] button.

Created with the Personal Edition of HelpNDoc: Full-featured Help generator

Copyright © <Dates> by <Authors>. All Rights Reserved.


Edited View

The Traveling Salesman Problem ›› Usage ›› Dialogs ›› Called from Menu Branch View ›› Selection of Existing View ››

Edited View

Previous Top Next

The selection of the edited view follows the selection of the coordinate system.

Created with the Personal Edition of HelpNDoc: Single source CHM, PDF, DOC and HTML Help creation

Copyright © <Dates> by <Authors>. All Rights Reserved.


Dialog Make View

The Traveling Salesman Problem ›› Usage ›› Dialogs ›› Called from Menu Branch View ››

Dialog Make View

Previous Top Next

The creation of the view objects depends on the selected coordinate system.

Creation of a two-dimensional Cartesian view

The display modes are disabled in this case.

Creation of a three-dimensional Cartesian view

The users have to decide whether they omit a coordinate or use a collineation in order to project the route in a plane.

Creation of a two-dimensional spherical view

The above screen shows built-in spherical views. Here is its modification where the mapping of the sphere to the screen plane is a new question.

Creation of a two-dimensional spherical view

This is the most complicated case where all kinds of display modes are available.

These dialogs embed sub-forms Edit Constraints for all axes.

Created with the Personal Edition of HelpNDoc: Easily create CHM Help documents


Dialog Edit View

The Traveling Salesman Problem ›› Usage ›› Dialogs ›› Called from Menu Branch View ››

Dialog Edit View

Previous Top Next

This dialog is very similar to the Make View Dialog .

These dialogs embed sub-forms Edit Constraints for all axes.

Created with the Personal Edition of HelpNDoc: Single source CHM, PDF, DOC and HTML Help creation


Sub-Form Edit Constraints

The Traveling Salesman Problem ›› Usage ›› Dialogs ›› Called from Menu Branch View ››

Sub-Form Edit Constraints

Previous Top Next

The sub-forms appear for each coordinate.

The shown ranges can be given as

Mode | Given data | Given value | Other data | Other Value
center+extent(1) | center | C | extent | E>0
limits(2) | lower limit | L | upper limit | L<H
fit(3) | fit | ignored | unused | ignored

(1) The coordinates in the range u ∈ [C-E, C+E] are shown on the figure using the view.

(2) The coordinates in the range u ∈ [L, H] are shown on the figure using the view.

(3) The coordinates in the range u ∈ [max u, min u] are shown on the figure using the view.

The accepted values depend on the axis.

The Cartesian coordinates are not restricted.

The latitudes must be between -90 and +90 degrees.

The longitudes must be between -180 and +180 degrees.

The radial distances must have positive or zero limits.

Created with the Personal Edition of HelpNDoc: Generate EPub eBooks with ease


Called from Menu Branch Figure

The Traveling Salesman Problem ›› Usage ›› Dialogs ››

Called from Menu Branch Figure

Previous Top Next

The first dialog selects the coordinate system as in other cases.

The second dialog selects the usable view .

The third step is the selection of one or two displayed solutions .

The fourth step allows to label the figure and calls the drawing predicates.

Created with the Personal Edition of HelpNDoc: Produce Kindle eBooks easily


Dialog Coordinate System

The Traveling Salesman Problem ›› Usage ›› Dialogs ›› Called from Menu Branch Figure ››

Dialog Coordinate System

Previous Top Next

This dialog is the same as in case of many other objects. The [Use] button confirms the selection.

Created with the Personal Edition of HelpNDoc: Free help authoring environment

Copyright © <Dates> by <Authors>. All Rights Reserved.


Selection of an Usable View

The Traveling Salesman Problem ›› Usage ›› Dialogs ›› Called from Menu Branch Figure ››

Selection of an Usable View

Previous Top Next

A view must be selected for the chosen coordinate system.

Created with the Personal Edition of HelpNDoc: Free help authoring tool

Copyright © <Dates> by <Authors>. All Rights Reserved.


Dialog Displayed Solutions

The Traveling Salesman Problem ›› Usage ›› Dialogs ›› Called from Menu Branch Figure ››

Dialog Displayed Solutions

Previous Top Next

A figure can display one or two solutions belonging to the same place set or two different ones written in the same coordinate system and number of dimensions.

The background solution has to be selected among the usable ones.

The foreground solution may be "empty" or an usable one different from the background one.

Created with the Personal Edition of HelpNDoc: Easily create EPub books

Copyright © <Dates> by <Authors>. All Rights Reserved.


Make Figure

The Traveling Salesman Problem ›› Usage ›› Dialogs ›› Called from Menu Branch Figure ››

Make Figure

Previous Top Next

This dialog has only one editable field. The label of the figure. All others are inherited from the subordinated object or generated automatically form their identifiers and a time stamp.

The made figure is an extended metafile. Its extension is *.emf.

The figure does not appear on the application window of the TSP program. It has to displayed by the users' favorite picture viewer.

Examples

1. Part of figure shown in Total Commanded pressing F3.

2. A converted and reduced comparative figure

2. Same solution shown using different settings

The line width and the colors of the scales are different.

Created with the Personal Edition of HelpNDoc: Full-featured EBook editor

Copyright © <Dates> by <Authors>. All Rights Reserved.


General Validation Rules

The Traveling Salesman Problem ›› Usage ›› Dialogs ››

General Validation Rules

Previous Top Next

The input fields of all dialogs, asking for the data having the same role undergo the same validation.

Role | Maximal length characters | Case change | Trimming of leading and trailing and internal consecutive blanks* | May be left blank | Prohibited characters | Prohibited contents
Identifier | 12 | to lowercase | done | no |  | "empty"
Label | 48 | no change | done | no |  |
File name | 36 |  | done | no | '/','>', '|', '<', ',', ':', '%','?','*'. |
Comment | 72 | no change | done | no |  |

*Trimming:

The contents " a b c d " is transformed to "a b c d" .

Created with the Personal Edition of HelpNDoc: Easily create Web Help sites

Copyright © <Dates> by <Authors>. All Rights Reserved.


Batch Input Commands

The Traveling Salesman Problem ›› Usage ››

Batch Input Commands

Previous Top Next

• The batch input commands are described in the file tsp.pdf, from the page #51 .

Created with the Personal Edition of HelpNDoc: Produce Kindle eBooks easily

Copyright © <Dates> by <Authors>. All Rights Reserved.


Output Files

The Traveling Salesman Problem ›› Usage ››

Output Files

Previous Top Next

The output files are tabulated in the file tsp.pdf, from the page #65 .

Explanations:

The colored main message file it written using the Scilex formatting package. When the program saves its contents as a HTML file, it has to insert many &nbsp codes instead of every second blank characters. This and the other formating codes result a huge HTML file. Its size can be reduced manually by zipping and/or selecting the whole contents of the file displayed in a browser then coped and pasted into Excel, finally saving the Excel file in binary i.e. *.xlsb format.

Created with the Personal Edition of HelpNDoc: Full-featured Kindle eBooks generator


Theory

Created with the Personal Edition of HelpNDoc: Generate EPub eBooks with ease

Copyright © <Dates> by <Authors>. All Rights Reserved.


Algorithms

Theory ››

Algorithms

Previous Top Next

The algorithms are treated in the other help file .

Created with the Personal Edition of HelpNDoc: Easily create EBooks

Copyright © <Dates> by <Authors>. All Rights Reserved.


References

Theory ››

References

Previous Top Next

Created with the Personal Edition of HelpNDoc: Easy CHM and documentation editor

Copyright © <Dates> by <Authors>. All Rights Reserved.


The Include Files Containing the Built-in Plans

 Redirecting... click here if nothing happens